import { bA as i } from "./index2.js";
function o(t = "", n = "") {
  const e = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    url: `${e}/office/recursionChildrenWithAuth?parentId=${t}&excludeIds=${n}`
  });
}
function u(t = "") {
  const n = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    url: `${n}/office/levelTwoChildrenWithAuth?parentId=${t}`
  });
}
function r(t = "") {
  const n = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    url: `${n}/office/levelOneChildrenWithAuth?parentId=${t}`
  });
}
function s(t) {
  const n = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    method: "get",
    url: `${n}/v1/units/jobs?${i.stringify(t)}`
  });
}
export {
  u as a,
  o as b,
  s as g,
  r as l
};
